/*****************************************************************************
 * $LastChangedDate: 2011-04-22 12:24:45 -0400 (Fri, 22 Apr 2011) $
 * @file
 * @author  Jim E. Brooks  http://www.palomino3d.org
 * @brief   HUD module configuration.
 *//*
 * LEGAL:   COPYRIGHT (C) 2009 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef HUD_CONF_HH
#define HUD_CONF_HH 1

#define HUD_CONF hud::GET_CONF()

#include "base/module.hh"
#include "base/conf_txt.hh"
using namespace base;

namespace hud {

////////////////////////////////////////////////////////////////////////////////
/// @brief Module configuration.
///
class Conf
{
#include "base/conf_template_txt.hh"
public:
    // Cmd-line args:
    // .conf:

    // -- subtle: HUD reads configuration (hud/conf.cc) but doesn't define any Conf members --
};
#include "base/conf_template_end.hh"

} // namespace hud

#endif // HUD_CONF_HH
