/*****************************************************************************
 * $LastChangedDate: 2011-04-22 12:24:45 -0400 (Fri, 22 Apr 2011) $
 * @file
 * @author  Jim E. Brooks  http://www.palomino3d.org
 * @brief   Module configuration.
 *//*
 * LEGAL:   COPYRIGHT (C) 2008 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef PHYSICS_CONF_HH
#define PHYSICS_CONF_HH 1

#define PHYSICS_CONF physics::GET_CONF()

#include "base/conf_txt.hh"

namespace physics {

////////////////////////////////////////////////////////////////////////////////
/// @brief Module configuration.
///
class Conf
{
#include "base/conf_template_txt.hh"
public:
    // cmd-line:
    // (none)

    // .conf:
    SpeedKPH            mMaxLandingSpeedVertical;
};
#include "base/conf_template_end.hh"

} // namespace physics

#endif // PHYSICS_CONF_HH
